/****************************************************************************************************

		WireFrameInfo.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	4/18/2001

****************************************************************************************************/

#ifndef __WireFrameInfo__
#define __WireFrameInfo__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"
#include "MCCountedPtr.h"

#include "WireFrameState.h"
#include "I3DWireFrame.h"


/// Stores a pointer to a wireframe and current state of the wireframe.
///
struct TWireFrameInfo
{
	
public:
	TWireFrameInfo() {fWireFrameState= kWireFrameState_Off; fExWireFrame= NULL;}

	TWireFrameInfo(I3DExWF* wf, EWireFrameState wfState)
	{
		fExWireFrame	= wf;
		fWireFrameState	= wfState;
	}

	I3DExWF*				fExWireFrame;
	EWireFrameState			fWireFrameState;
};

//A wireframe is shown if: (active)&&(pinned || (!off&&inselection))


#endif






